Bug 445491 - seek doesn't work on DVDs
seek doesn't work on DVDs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 02:34 EDT by Rodd Clarkson
Modified: 2009-04-24 10:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 10:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Note the total time on the time slider (38.58 KB, image/png)
2008-05-07 02:34 EDT, Rodd Clarkson
no flags Details
output from bugbuddy for 'totem --debug --g-fatal-warnings &> /tmp/totem.output' (75.05 KB, application/octet-stream)
2008-05-07 19:07 EDT, Rodd Clarkson
no flags Details
output from bugbuddy for 'totem --debug --g-fatal-warnings &> /tmp/totem.output' (19.25 KB, application/octet-stream)
2008-05-20 07:06 EDT, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2008-05-07 02:34:19 EDT
Description of problem:

After installing f9-preview I marvelled at how well seek was working as (in the
past, it had been terrible).  Sadly, things have reverted and seek no longer works.

As an example, moving the handle on the time bar sees the CPU hit 100% and totem
fails to recover (in any sort of reasonable time frame).

As another example, pressing the forward arrow saw it just forward to almost the
end of the disc (1hr42m) and then to the end of the disc (see attached screenshot)

When it was working, I was stunned that I could yank the slider around and it
would jump to the new time and just continue playing.



Version-Release number of selected component (if applicable):

[rodd@localhost ~]$ rpm -qa | grep totem
totem-2.23.2-2.fc9.i386
totem-mozplugin-2.23.2-2.fc9.i386
totem-nautilus-2.23.2-2.fc9.i386
totem-pl-parser-2.22.2-1.fc9.i386
totem-gstreamer-2.23.2-2.fc9.i386
[rodd@localhost ~]$
Comment 1 Rodd Clarkson 2008-05-07 02:34:19 EDT
Created attachment 304727 [details]
Note the total time on the time slider
Comment 2 Bastien Nocera 2008-05-07 07:09:26 EDT
Most likely a problem with GStreamer itself. What's the output of:
rpm -qa "*gst*"

Also, any errors on the command-line? Is the DVD encrypted or not?
Comment 3 Rodd Clarkson 2008-05-07 07:49:32 EDT
Whoops, should have thought of suppling that to start with.

[rodd@localhost ~]$ rpm -qa "*gst*"
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
gstreamer-plugins-ugly-0.10.7-1.lvn9.i386
gstreamer-plugins-bad-0.10.7-1.lvn9.i386
gstreamer-0.10.19-1.fc9.i386
gstreamer-plugins-good-0.10.7-1.fc9.i386
gstreamer-plugins-schroedinger-1.0.0-1.fc9.i386
gstreamer-tools-0.10.19-1.fc9.i386
gstreamer-plugins-base-0.10.19-1.fc9.i386
gstreamer-ffmpeg-0.10.3-4.lvn9.i386
gstreamer-python-0.10.11-2.fc9.i386
gstreamer-plugins-farsight-0.12.6-1.fc9.i386
gstreamer-plugins-bad-extras-0.10.7-1.lvn9.i386
totem-gstreamer-2.23.2-2.fc9.i386
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.i386
Comment 4 Rodd Clarkson 2008-05-07 07:51:04 EDT
Yes, they are encrypted.

As an example, "Sense and Sensibility" did the whole seek thing really well with
the slider and now it doesn't.
Comment 5 Rodd Clarkson 2008-05-07 07:54:44 EDT
Right, I ran totem with `totem --debug` and got the following that might be useful.

If you want me to pipe all the output to a file then ask, but I suspect the last
couple of lines are the key to the problem.

$totem --debug
<snip>
libdvdread: Using libdvdcss version 1.2.9 for DVD access

libdvdread: Attempting to retrieve all CSS keys
libdvdread: This can take a _long_ time, please be patient

libdvdread: Get key for /VIDEO_TS/VIDEO_TS.VOB at 0x00000162
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_01_0.VOB at 0x0000025e
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_01_1.VOB at 0x0000f20d
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_02_0.VOB at 0x002aa9c3
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_02_1.VOB at 0x002b3438
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_03_0.VOB at 0x00309b15
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_03_1.VOB at 0x00309f38
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_04_0.VOB at 0x0030abeb
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_04_1.VOB at 0x0030b013
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_05_0.VOB at 0x0030c913
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_05_1.VOB at 0x0030ee00
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_06_0.VOB at 0x00310c46
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_06_1.VOB at 0x00310cf9
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_07_0.VOB at 0x0035ceb2
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_07_1.VOB at 0x0035d018
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_08_0.VOB at 0x0035d0ee
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_08_1.VOB at 0x0035d1a1
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_09_0.VOB at 0x0037b128
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_09_1.VOB at 0x0037eedc
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_10_0.VOB at 0x0037f100
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_10_1.VOB at 0x0037f1b3
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_11_0.VOB at 0x0038143c
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_11_1.VOB at 0x003814ef
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_12_0.VOB at 0x003826e8
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_12_1.VOB at 0x003834fc
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_13_0.VOB at 0x0038364c
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_13_1.VOB at 0x003836ff
libdvdread: Elapsed time 0
libdvdread: Found 13 VTS's
libdvdread: Elapsed time 0
No accelerated IMDCT transform found
No accelerated IMDCT transform found

(totem:5500): GStreamer-CRITICAL **: gst_segment_set_newsegment_full: assertion
`segment->format == format' failed

(totem:5500): GStreamer-CRITICAL **: gst_segment_set_newsegment_full: assertion
`segment->format == format' failed
[rodd@localhost ~]$ 
Comment 6 Bastien Nocera 2008-05-07 08:12:09 EDT
If you could reproduce the bug with "--g-fatal-warnings" added to the
command-line, you should get a crash. Make sure that the appropriate debuginfo
packages are installed as well, and post the backtrace created.
Comment 7 Rodd Clarkson 2008-05-07 19:07:11 EDT
Created attachment 304818 [details]
output from bugbuddy for 'totem --debug --g-fatal-warnings &> /tmp/totem.output'

Distribution: Fedora release 9 (Sulphur)
Gnome Release: 2.22.1 2008-04-30 (Red Hat, Inc)
BugBuddy Version: 2.22.0

System: Linux 2.6.25-14.fc9.i686 #1 SMP Thu May 1 06:28:41 EDT 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10499901
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 189079552 vsize: 189079552 resident: 47247360 share:
17100800 rss: 47247360 rss_rlim: 4294967295
CPU usage: start_time: 1210201353 rtime: 187 utime: 152 stime: 35 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/totem'

[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0xb8089730 (LWP 9318)]
[New Thread 0xb0445b90 (LWP 9342)]
[New Thread 0xb113eb90 (LWP 9341)]
[New Thread 0xb1ecfb90 (LWP 9340)]
[New Thread 0xb28d0b90 (LWP 9335)]
[New Thread 0xb34d2b90 (LWP 9334)]
[New Thread 0xb3ed3b90 (LWP 9333)]
[New Thread 0xb48d4b90 (LWP 9332)]
[New Thread 0xb5d5cb90 (LWP 9331)]
[New Thread 0xb675db90 (LWP 9321)]
[New Thread 0xb7b6fb90 (LWP 9320)]
0x00110416 in __kernel_vsyscall ()
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0054c829 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x00547d75 in _L_lock_87 () from /lib/libpthread.so.0
#3  0x005477fa in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x052195b5 in gst_base_src_set_flushing (basesrc=<value optimized out>, 
    flushing=<value optimized out>, live_play=) at gstbasesrc.c:2407
#5  0x0521c122 in gst_base_src_perform_seek (src=<value optimized out>, 
    event=<value optimized out>, unlock=<value optimized out>)
    at gstbasesrc.c:1105
#6  0x06c1ddf8 in gst_dvd_read_src_src_event (basesrc=0x8830268, 
    event=0x8737f68) at dvdreadsrc.c:1154
#7  0x05218e04 in gst_base_src_event_handler (pad=<value optimized out>, 
    event=<value optimized out>) at gstbasesrc.c:1415
#8  0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#9  0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#10 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#11 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#12 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#13 0x052e500a in gst_pad_event_default (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:2956
#14 0x0147173a in gst_type_find_element_src_event (pad=0x84606f8, 
    event=0x8737f68) at gsttypefindelement.c:396
#15 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#16 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#17 0x0102b692 in ?? () from /usr/lib/gstreamer-0.10/libgstflumpegdemux.so
#18 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#19 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#20 0x0146a64e in gst_queue_handle_src_event (pad=0x886ded0, event=0x8737f68)
    at gstqueue.c:1155
#21 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#22 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#23 0x025f1a8e in gst_mpeg2dec_src_event (pad=0x88ab100, event=0x8737f68)
    at gstmpeg2dec.c:1671
#24 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#25 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#26 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#27 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#28 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#29 0x052e500a in gst_pad_event_default (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:2956
#30 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#31 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#32 0x0146a64e in gst_queue_handle_src_event (pad=0x88ab340, event=0x8737f68)
    at gstqueue.c:1155
#33 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#34 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#35 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#36 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#37 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#38 0x0522188b in gst_base_transform_src_eventfunc (
    trans=<value optimized out>, event=<value optimized out>)
    at gstbasetransform.c:1350
#39 0x0521df07 in gst_base_transform_src_event (pad=<value optimized out>, 
    event=) at gstbasetransform.c:1319
#40 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#41 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#42 0x0522188b in gst_base_transform_src_eventfunc (
    trans=<value optimized out>, event=<value optimized out>)
    at gstbasetransform.c:1350
#43 0x0521df07 in gst_base_transform_src_event (pad=<value optimized out>, 
    event=) at gstbasetransform.c:1319
#44 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#45 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#46 0x0522188b in gst_base_transform_src_eventfunc (
    trans=<value optimized out>, event=<value optimized out>)
    at gstbasetransform.c:1350
#47 0x021d8bbd in gst_video_scale_src_event (trans=0x84497e0, event=0x8737f68)
    at gstvideoscale.c:917
#48 0x0521df07 in gst_base_transform_src_event (pad=<value optimized out>, 
    event=) at gstbasetransform.c:1319
#49 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#50 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#51 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#52 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#53 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#54 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#55 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#56 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#57 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#58 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#59 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#60 0x0521492e in gst_base_sink_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbasesink.c:2952
#61 0x052cebe3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#62 0x052bddc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#63 0x052cebe3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#64 0x052bddc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#65 0x052cebe3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#66 0x052bddc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#67 0x052cebe3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#68 0x052bddc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#69 0x052cebe3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#70 0x00fe7461 in gst_play_bin_send_event (element=0x8650030, event=0x8737f68)
    at gstplaybin.c:1668
#71 0x052cebe3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#72 0x052ced0c in gst_element_seek (element=<value optimized out>, 
    rate=<value optimized out>, format=) at gstelement.c:1422
#73 0x0492516e in bacon_video_widget_seek_time (bvw=<value optimized out>, 
    time=<value optimized out>, gerror=) at bacon-video-widget-gst-0.10.c:2873
#74 0x049254dc in bacon_video_widget_seek (bvw=<value optimized out>, 
    position=<value optimized out>, error=)
    at bacon-video-widget-gst-0.10.c:2898
#75 0x0805c301 in totem_action_seek (totem=0x8439018, pos=0.13024602026049203)
    at totem.c:432
#76 0x006948b4 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#77 0x0068712b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#78 0x0069b995 in ?? () from /lib/libgobject-2.0.so.0
#79 0x0069cece in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#80 0x0069d336 in g_signal_emit () from /lib/libgobject-2.0.so.0
#81 0x00a3f047 in gtk_adjustment_value_changed ()
   from /usr/lib/libgtk-x11-2.0.so.0
#82 0x00a3eef9 in gtk_adjustment_set_value () from /usr/lib/libgtk-x11-2.0.so.0

#83 0x00bb05df in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#84 0x0834f700 in ?? ()
#85 0x22d32c16 in ?? ()
#86 0x40c0abd6 in ?? ()
#87 0x22d32c16 in ?? ()
#88 0x40c0abd6 in ?? ()
#89 0x00000004 in ?? ()
#90 0x0842c9c0 in ?? ()
#91 0x0842ca80 in ?? ()
#92 0x00000000 in ?? ()

Thread 11 (Thread 0xb7b6fb90 (LWP 9320)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0054db6b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x005fed97 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x005ff0dc in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00e29253 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x00e297d8 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x00e29893 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  0x00e29e23 in google_breakpad::ExceptionHandler::HandleException ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#8  <signal handler called>
No symbol table info available.
#9  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#10 0x003cd660 in raise () from /lib/libc.so.6
No symbol table info available.
#11 0x003cf028 in abort () from /lib/libc.so.6
No symbol table info available.
#12 0x005d004a in g_logv () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x005d0086 in g_log () from /lib/libglib-2.0.so.0
No symbol table info available.
#14 0x005d02eb in g_return_if_fail_warning () from /lib/libglib-2.0.so.0
No symbol table info available.
#15 0x052f90f8 in gst_segment_set_newsegment_full (
    segment=<value optimized out>, update=<value optimized out>, 
    rate=<value optimized out>, applied_rate=<value optimized out>, 
    format=<value optimized out>, start=<value optimized out>, 
    stop=<value optimized out>, time=<value optimized out>) at gstsegment.c:435

	duration = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_segment_set_newsegment_full"
#16 0x0102d0b3 in ?? () from /usr/lib/gstreamer-0.10/libgstflumpegdemux.so
No symbol table info available.
#17 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
	result = <value optimized out>
	eventfunc = <value optimized out>
	serialized = <value optimized out>
	need_unlock = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_send_event"
#18 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
	peerpad = <value optimized out>
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_push_event"
#19 0x052e4f3e in gst_pad_event_default (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:2950
	__PRETTY_FUNCTION__ = "gst_pad_event_default"
#20 0x01471dc3 in gst_type_find_element_handle_event (pad=0x8460638, 
    event=0x8738190) at gsttypefindelement.c:511
	res = <value optimized out>
	typefind = (GstTypeFindElement *) 0x864ada0
	__PRETTY_FUNCTION__ = "gst_type_find_element_handle_event"
#21 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
	result = <value optimized out>
	eventfunc = <value optimized out>
	serialized = <value optimized out>
	need_unlock = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_send_event"
#22 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
	peerpad = <value optimized out>
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_push_event"
#23 0x052d832a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
	res = 0
#24 0x052e336c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
	result = <value optimized out>
	eventfunc = <value optimized out>
	serialized = <value optimized out>
	need_unlock = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_send_event"
#25 0x052e3ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
	peerpad = <value optimized out>
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_push_event"
#26 0x05219d81 in gst_base_src_loop (pad=<value optimized out>)
    at gstbasesrc.c:2035
	src = (GstBaseSrc *) 0x8830268
	buf = (GstBuffer *) 0x92fe070
	ret = <value optimized out>
	position = <value optimized out>
	eos = <value optimized out>
	blocksize = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_base_src_loop"
#27 0x05303133 in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:192
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#28 0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#29 0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#30 0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#31 0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 10 (Thread 0xb675db90 (LWP 9321)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0054d426 in nanosleep () from /lib/libpthread.so.0
No symbol table info available.
#2  0x005f2732 in g_usleep () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x05d4589e in gst_xvimagesink_event_thread (xvimagesink=0x8666190)
    at xvimagesink.c:1544
	__PRETTY_FUNCTION__ = "gst_xvimagesink_event_thread"
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 9 (Thread 0xb5d5cb90 (LWP 9331)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x053032ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 8 (Thread 0xb48d4b90 (LWP 9332)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x053032ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 7 (Thread 0xb3ed3b90 (LWP 9333)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x053032ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 6 (Thread 0xb34d2b90 (LWP 9334)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00476ac7 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x075b5582 in ?? () from /usr/lib/libpulse.so.0
No symbol table info available.
#3  0x075a6359 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
No symbol table info available.
#4  0x075a7b23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
No symbol table info available.
#5  0x075a7bf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
No symbol table info available.
#6  0x075b5333 in ?? () from /usr/lib/libpulse.so.0
No symbol table info available.
#7  0x075d8347 in ?? () from /usr/lib/libpulse.so.0
No symbol table info available.
#8  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#9  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 5 (Thread 0xb28d0b90 (LWP 9335)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x053032ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread 0xb1ecfb90 (LWP 9340)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x053032ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread 0xb113eb90 (LWP 9341)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x04961f31 in audioringbuffer_thread_func (buf=<value optimized out>)
    at gstaudiosink.c:250
	left = <value optimized out>
	len = <value optimized out>
	readptr = <value optimized out>
	readseg = <value optimized out>
	sink = (GstAudioSink *) 0x8676b40
	writefunc = (WriteFunc) 0x7424ae0
	__FUNCTION__ = "audioringbuffer_thread_func"
#3  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread 0xb0445b90 (LWP 9342)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549ec2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x007f9f8d in ?? () from /lib/libgthread-2.0.so.0
No symbol table info available.
#3  0x0059fb29 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0059fc27 in g_async_queue_timed_pop () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x005f1a73 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#7  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#8  0x0048127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 0xb8089730 (LWP 9318)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0054c829 in __lll_lock_wait () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00547d75 in _L_lock_87 () from /lib/libpthread.so.0
No symbol table info available.
#3  0x005477fa in pthread_mutex_lock () from /lib/libpthread.so.0
No symbol table info available.
#4  0x052195b5 in gst_base_src_set_flushing (basesrc=<value optimized out>, 
    flushing=<value optimized out>, live_play=) at gstbasesrc.c:2407
	bclass = (GstBaseSrcClass *) 0x882e350
#5  0x0521c122 in gst_base_src_perform_seek (src=<value optimized out>, 
    event=<value optimized out>, unlock=<value optimized out>)
    at gstbasesrc.c:1105
	res = <value optimized out>
	rate = <value optimized out>
	seek_format = <value optimized out>
	dest_format = GST_FORMAT_TIME
	flags = <value optimized out>
	cur_type = <value optimized out>
	stop_type = <value optimized out>
	cur = <value optimized out>
	stop = <value optimized out>
	flush = <value optimized out>
	playing = <value optimized out>
	update = #0  0x00110416 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
Output of custom script "/usr/libexec/totem/totem-bugreport.py":
gst-typefind-0.10 version 0.10.19
GStreamer 0.10.19
http://download.fedora.redhat.com/fedora
Listened to a "" file on 2008-04-17T16:15:52




----------- .xsession-errors (1342 sec old) ---------------------
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_12_1.VOB at 0x003834fc
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_13_0.VOB at 0x0038364c
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_13_1.VOB at 0x003836ff
libdvdread: Elapsed time 0
libdvdread: Found 13 VTS's
libdvdread: Elapsed time 0
No accelerated IMDCT transform found
No accelerated IMDCT transform found
(totem:8151): GStreamer-CRITICAL **: gst_segment_set_newsegment_full: assertion
`segment->format == format' failed
(totem:8151): GStreamer-CRITICAL **: gst_segment_set_newsegment_full: assertion
`segment->format == format' failed
--------------------------------------------------
Comment 8 Bug Zapper 2008-05-14 06:45:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Rodd Clarkson 2008-05-19 07:26:46 EDT
I noticed that if I play other media files (including mpeg, wmv, mov and avi)
the seek functionality works really, really well.

But it's still horribly broken playing DVDs.
Comment 10 Rodd Clarkson 2008-05-19 07:32:33 EDT
And I've just tried avi files on a DVD playing directly from the DVD and the
seek works fine for this too, so it's seems to be something to do with the
format used for DVDs.
Comment 11 Bastien Nocera 2008-05-19 09:29:40 EDT
Could you please get the same backtrace but with the debuginfo for
gstreamer-plugins-flumpegdemux installed?
Comment 12 Rodd Clarkson 2008-05-20 02:03:13 EDT
Okay, this is what I had installed when I did that backtrace.  I can't see any
gstreamer-plugins-flumpegdemux-debuginfo to install from either fedora or livna
debuginfo repos.

What to do?

[rodd@localhost ~]$ rpm -qa | grep gstreamer
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
gstreamer-plugins-ugly-0.10.7-1.lvn9.i386
gstreamer-plugins-bad-0.10.7-1.lvn9.i386
gstreamer-plugins-base-debuginfo-0.10.19-1.fc9.i386
gstreamer-ffmpeg-0.10.3-5.lvn9.i386
gstreamer-plugins-good-0.10.8-1.fc9.i386
gstreamer-0.10.19-1.fc9.i386
gstreamer-plugins-schroedinger-1.0.0-1.fc9.i386
gstreamer-devel-0.10.19-1.fc9.i386
gstreamer-plugins-ugly-debuginfo-0.10.7-1.lvn9.i386
gstreamer-tools-0.10.19-1.fc9.i386
gstreamer-debuginfo-0.10.19-1.fc9.i386
gstreamer-plugins-bad-debuginfo-0.10.7-1.lvn9.i386
gstreamer-plugins-base-0.10.19-2.fc9.i386
gstreamer-plugins-farsight-0.12.7-1.fc9.i386
gstreamer-python-0.10.11-2.fc9.i386
gstreamer-plugins-bad-extras-0.10.7-1.lvn9.i386
gstreamer-ffmpeg-debuginfo-0.10.3-4.lvn9.i386
totem-gstreamer-2.23.2-2.fc9.i386
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.i386
gstreamer-plugins-good-debuginfo-0.10.7-1.fc9.i386
Comment 13 Bastien Nocera 2008-05-20 03:56:52 EDT
Get it by hand?
http://koji.fedoraproject.org/koji/buildinfo?buildID=48303
Comment 14 Rodd Clarkson 2008-05-20 07:06:20 EDT
Created attachment 306105 [details]
output from bugbuddy for 'totem --debug --g-fatal-warnings &> /tmp/totem.output'

Distribution: Fedora release 9 (Sulphur)
Gnome Release: 2.22.1 2008-05-07 (Red Hat, Inc)
BugBuddy Version: 2.22.0

System: Linux 2.6.25.3-18.fc9.i686 #1 SMP Tue May 13 05:38:53 EDT 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10499901
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 183881728 vsize: 183881728 resident: 43208704 share:
16666624 rss: 43208704 rss_rlim: 4294967295
CPU usage: start_time: 1211281475 rtime: 174 utime: 146 stime: 28 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/totem'

[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0xb806e730 (LWP 28821)]
[New Thread 0xb0587b90 (LWP 28841)]
[New Thread 0xb1792b90 (LWP 28840)]
[New Thread 0xb23f3b90 (LWP 28835)]
[New Thread 0xb2df4b90 (LWP 28834)]
[New Thread 0xb39f6b90 (LWP 28833)]
[New Thread 0xb43f7b90 (LWP 28832)]
[New Thread 0xb4df8b90 (LWP 28831)]
[New Thread 0xb5d54b90 (LWP 28830)]
[New Thread 0xb6755b90 (LWP 28824)]
[New Thread 0xb7b75b90 (LWP 28823)]
0x00110416 in __kernel_vsyscall ()
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0054c829 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x00547d75 in _L_lock_87 () from /lib/libpthread.so.0
#3  0x005477fa in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x07fe45b5 in gst_base_src_set_flushing (basesrc=<value optimized out>, 
    flushing=<value optimized out>, live_play=) at gstbasesrc.c:2407
#5  0x07fe7122 in gst_base_src_perform_seek (src=<value optimized out>, 
    event=<value optimized out>, unlock=<value optimized out>)
    at gstbasesrc.c:1105
#6  0x01022df8 in gst_dvd_read_src_src_event (basesrc=0x92ba280, 
    event=0x92b75b8) at dvdreadsrc.c:1154
#7  0x07fe3e04 in gst_base_src_event_handler (pad=<value optimized out>, 
    event=<value optimized out>) at gstbasesrc.c:1415
#8  0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#9  0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#10 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#11 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#12 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#13 0x07d4700a in gst_pad_event_default (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:2956
#14 0x08cef73a in gst_type_find_element_src_event (pad=0x8ff2710, 
    event=0x92b75b8) at gsttypefindelement.c:396
#15 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#16 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#17 0x04bd1692 in gst_flups_demux_src_event (pad=0x9318d40, event=0x92b75b8)
    at gstmpegdemux.c:739
#18 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#19 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#20 0x08ce864e in gst_queue_handle_src_event (pad=0x9318ec0, event=0x92b75b8)
    at gstqueue.c:1155
#21 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#22 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#23 0x06964a8e in gst_mpeg2dec_src_event (pad=0x92f48e0, event=0x92b75b8)
    at gstmpeg2dec.c:1671
#24 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#25 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#26 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#27 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#28 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#29 0x07d4700a in gst_pad_event_default (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:2956
#30 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#31 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#32 0x08ce864e in gst_queue_handle_src_event (pad=0x92f4b20, event=0x92b75b8)
    at gstqueue.c:1155
#33 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#34 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#35 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#36 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#37 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#38 0x07fec88b in gst_base_transform_src_eventfunc (
    trans=<value optimized out>, event=<value optimized out>)
    at gstbasetransform.c:1350
#39 0x07fe8f07 in gst_base_transform_src_event (pad=<value optimized out>, 
    event=) at gstbasetransform.c:1319
#40 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#41 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#42 0x07fec88b in gst_base_transform_src_eventfunc (
    trans=<value optimized out>, event=<value optimized out>)
    at gstbasetransform.c:1350
#43 0x07fe8f07 in gst_base_transform_src_event (pad=<value optimized out>, 
    event=) at gstbasetransform.c:1319
#44 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#45 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#46 0x07fec88b in gst_base_transform_src_eventfunc (
    trans=<value optimized out>, event=<value optimized out>)
    at gstbasetransform.c:1350
#47 0x0234cbbd in ?? () from /usr/lib/gstreamer-0.10/libgstvideoscale.so
#48 0x07fe8f07 in gst_base_transform_src_event (pad=<value optimized out>, 
    event=) at gstbasetransform.c:1319
#49 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#50 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#51 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#52 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#53 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#54 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#55 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#56 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#57 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
#58 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
#59 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
#60 0x07fdf92e in gst_base_sink_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbasesink.c:2952
#61 0x07d30be3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#62 0x07d1fdc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#63 0x07d30be3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#64 0x07d1fdc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#65 0x07d30be3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#66 0x07d1fdc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#67 0x07d30be3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#68 0x07d1fdc6 in gst_bin_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstbin.c:2333
#69 0x07d30be3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#70 0x00ffc461 in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#71 0x07d30be3 in gst_element_send_event (element=<value optimized out>, 
    event=<value optimized out>) at gstelement.c:1382
#72 0x07d30d0c in gst_element_seek (element=<value optimized out>, 
    rate=<value optimized out>, format=) at gstelement.c:1422
#73 0x07e0716e in bacon_video_widget_seek_time (bvw=<value optimized out>, 
    time=<value optimized out>, gerror=) at bacon-video-widget-gst-0.10.c:2873
#74 0x07e074dc in bacon_video_widget_seek (bvw=<value optimized out>, 
    position=<value optimized out>, error=)
    at bacon-video-widget-gst-0.10.c:2898
#75 0x0805c301 in totem_action_seek (totem=0x8fca818, pos=0.10969116080937168)
    at totem.c:432
#76 0x006948b4 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#77 0x0068712b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#78 0x0069b995 in ?? () from /lib/libgobject-2.0.so.0
#79 0x0069cece in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#80 0x0069d336 in g_signal_emit () from /lib/libgobject-2.0.so.0
#81 0x00a3f047 in gtk_adjustment_value_changed ()
   from /usr/lib/libgtk-x11-2.0.so.0
#82 0x00a3eef9 in gtk_adjustment_set_value () from /usr/lib/libgtk-x11-2.0.so.0

#83 0x00bb05df in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#84 0x08ee0700 in ?? ()
#85 0x379dda61 in ?? ()
#86 0x40bc149c in ?? ()
#87 0x379dda61 in ?? ()
#88 0x40bc149c in ?? ()
#89 0x020b3480 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#90 0xbb84c942 in ?? ()
#91 0x0069fba3 in g_type_check_value () from /lib/libgobject-2.0.so.0
#92 0x00b5b56d in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#93 0x08fa85a0 in ?? ()
#94 0x00000001 in ?? ()
#95 0x379dda61 in ?? ()
#96 0x40bc149c in ?? ()
#97 0x09025700 in ?? ()
#98 0x00bb03d1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#99 0x09026ac0 in ?? ()
#100 0x08fa85a0 in ?? ()
#101 0x09025700 in ?? ()
#102 0x00008957 in ?? ()
#103 0x00007095 in ?? ()
#104 0x00000000 in ?? ()

Thread 11 (Thread 0xb7b75b90 (LWP 28823)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0054db6b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x005fed97 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x005ff0dc in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x004f0253 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x004f07d8 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x004f0893 in google_breakpad::ExceptionHandler::InternalWriteMinidump ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  0x004f0e23 in google_breakpad::ExceptionHandler::HandleException ()
   from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#8  <signal handler called>
No symbol table info available.
#9  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#10 0x00e1d660 in raise () from /lib/libc.so.6
No symbol table info available.
#11 0x00e1f028 in abort () from /lib/libc.so.6
No symbol table info available.
#12 0x005d004a in g_logv () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x005d0086 in g_log () from /lib/libglib-2.0.so.0
No symbol table info available.
#14 0x005d02eb in g_return_if_fail_warning () from /lib/libglib-2.0.so.0
No symbol table info available.
#15 0x07d5b0f8 in gst_segment_set_newsegment_full (
    segment=<value optimized out>, update=<value optimized out>, 
    rate=<value optimized out>, applied_rate=<value optimized out>, 
    format=<value optimized out>, start=<value optimized out>, 
    stop=<value optimized out>, time=<value optimized out>) at gstsegment.c:435

	duration = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_segment_set_newsegment_full"
#16 0x04bd30b3 in gst_flups_demux_sink_event (pad=0x9318c80, event=0x92cd590)
    at gstmpegdemux.c:639
	arate = 1
	rate = 1
	stop = 11566346928128
	update = 0
	format = GST_FORMAT_TIME
	start = 21474836480
	time = 21474836480
	demux = (GstFluPSDemux *) 0x92d6d50
	__FUNCTION__ = "gst_flups_demux_sink_event"
#17 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
	result = <value optimized out>
	eventfunc = <value optimized out>
	serialized = <value optimized out>
	need_unlock = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_send_event"
#18 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
	peerpad = <value optimized out>
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_push_event"
#19 0x07d46f3e in gst_pad_event_default (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:2950
	__PRETTY_FUNCTION__ = "gst_pad_event_default"
#20 0x08cefdc3 in gst_type_find_element_handle_event (pad=0x8ff2650, 
    event=0x92cd590) at gsttypefindelement.c:511
	res = <value optimized out>
	typefind = (GstTypeFindElement *) 0x91dd5a8
	__PRETTY_FUNCTION__ = "gst_type_find_element_handle_event"
#21 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
	result = <value optimized out>
	eventfunc = <value optimized out>
	serialized = <value optimized out>
	need_unlock = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_send_event"
#22 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
	peerpad = <value optimized out>
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_push_event"
#23 0x07d3a32a in gst_proxy_pad_do_event (pad=) at gstghostpad.c:142
	res = 0
#24 0x07d4536c in gst_pad_send_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4276
	result = <value optimized out>
	eventfunc = <value optimized out>
	serialized = <value optimized out>
	need_unlock = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_send_event"
#25 0x07d45ad5 in gst_pad_push_event (pad=<value optimized out>, 
    event=<value optimized out>) at gstpad.c:4132
	peerpad = <value optimized out>
	result = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_pad_push_event"
#26 0x07fe4d81 in gst_base_src_loop (pad=<value optimized out>)
    at gstbasesrc.c:2035
	src = (GstBaseSrc *) 0x92ba280
	buf = (GstBuffer *) 0x9e68c18
	ret = <value optimized out>
	position = <value optimized out>
	eos = <value optimized out>
	blocksize = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_base_src_loop"
#27 0x07d65133 in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:192
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#28 0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#29 0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#30 0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#31 0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 10 (Thread 0xb6755b90 (LWP 28824)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0054d426 in nanosleep () from /lib/libpthread.so.0
No symbol table info available.
#2  0x005f2732 in g_usleep () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x0504489e in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 9 (Thread 0xb5d54b90 (LWP 28830)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07d652ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 8 (Thread 0xb4df8b90 (LWP 28831)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07d652ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 7 (Thread 0xb43f7b90 (LWP 28832)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07d652ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 6 (Thread 0xb39f6b90 (LWP 28833)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ec6ac7 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x03e47582 in ?? () from /usr/lib/libpulse.so.0
No symbol table info available.
#3  0x03e38359 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
No symbol table info available.
#4  0x03e39b23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
No symbol table info available.
#5  0x03e39bf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
No symbol table info available.
#6  0x03e47333 in ?? () from /usr/lib/libpulse.so.0
No symbol table info available.
#7  0x03e6a347 in ?? () from /usr/lib/libpulse.so.0
No symbol table info available.
#8  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#9  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 5 (Thread 0xb2df4b90 (LWP 28834)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07d652ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread 0xb23f3b90 (LWP 28835)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07d652ae in gst_task_func (task=<value optimized out>, tclass=)
    at gsttask.c:180
	lock = <value optimized out>
	tself = <value optimized out>
	__PRETTY_FUNCTION__ = "gst_task_func"
#3  0x005f1b06 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread 0xb1792b90 (LWP 28840)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0209ef31 in ?? () from /usr/lib/libgstaudio-0.10.so.0
No symbol table info available.
#3  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread 0xb0587b90 (LWP 28841)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00549ec2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x007f9f8d in ?? () from /lib/libgthread-2.0.so.0
No symbol table info available.
#3  0x0059fb29 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0059fc27 in g_async_queue_timed_pop () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x005f1a73 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x005f046f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#7  0x0054632f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#8  0x00ed127e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 0xb806e730 (LWP 28821)):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0054c829 in __lll_lock_wait () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00547d75 in _L_lock_87 () from /lib/libpthread.so.0
No symbol table info available.
#3  0x005477fa in pthread_mutex_lock () from /lib/libpthread.so.0
No symbol table info available.
#4  0x07fe45b5 in gst_base_src_set_flushing (basesrc=<value optimized out>, 
    flushing=<value optimized out>, live_play=) at gstbasesrc.c:2407
	bclass = (GstBaseSrcClass *) 0x9307600
#5  0x07fe7122 in gst_base_src_perform_seek (src=<value optimized out>, 
    event=<value optimized out>, unlock=<value optimized out>)
    at gstbasesrc.c:1105
	res = <value optimized out>
	rate = <value optimized out>
	seek_format = <value optimized out>
	dest_format = GST_FORMAT_TIME
	flags = <value optimized out>
	cur_type = <value optimized out>
	stop_type = <value optimized out>
	cur = <value optimized out>
	stop = <value optimized out>
	flush = <value optimized out>
	playing = <value optimized out>
	update = 
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
Output of custom script "/usr/libexec/totem/totem-bugreport.py":
gst-typefind-0.10 version 0.10.19
GStreamer 0.10.19
http://download.fedora.redhat.com/fedora
Listened to a "" file on 2008-04-17T16:15:52




----------- .xsession-errors (296 sec old) ---------------------
(firefox:2835): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET
(widget)' failed
(firefox:2835): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET
(widget)' failed
(evolution:14575): evolution-shell-CRITICAL **: e_shell_window_peek_shell:
assertion `E_IS_SHELL_WINDOW (window)' failed
(evolution:14575): evolution-shell-CRITICAL **: e_shell_window_peek_shell:
assertion `E_IS_SHELL_WINDOW (window)' failed
(evolution:14575): evolution-shell-CRITICAL **: e_shell_window_peek_shell:
assertion `E_IS_SHELL_WINDOW (window)' failed
(evolution:14575): evolution-shell-CRITICAL **: e_shell_window_peek_shell:
assertion `E_IS_SHELL_WINDOW (window)' failed
(evolution:14575): evolution-shell-CRITICAL **: e_shell_window_peek_shell:
assertion `E_IS_SHELL_WINDOW (window)' failed
(evolution:14575): evolution-shell-CRITICAL **: e_shell_window_peek_shell:
assertion `E_IS_SHELL_WINDOW (window)' failed
--------------------------------------------------
Comment 15 Bastien Nocera 2009-04-24 10:01:15 EDT
This is fixed in F11, which uses the resindvd GStreamer plugin instead (and we also have an updated MPEG demuxer plugin to work with it).

Note You need to log in before you can comment on or make changes to this bug.